Get Node Diff
curl --request GET \
--url https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}import requests
url = "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"target_commit_id": "<string>",
"added": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"removed": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"modified": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"node_id": "<string>",
"base_commit_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Node History
Get Node Diff
Get diff between two commits for a node.
GET
/
orgs
/
{org_id}
/
nodes
/
{node_id}
/
diff
/
{commit_a}
..
{commit_b}
Get Node Diff
Headers
Path Parameters
Response
Successful Response
Response model for commit diff.
Target commit ID
Added entities
Show child attributes
Show child attributes
Removed entities
Show child attributes
Show child attributes
Modified entities
Show child attributes
Show child attributes
Node ID (if node-specific)
Base commit ID
⌘I